$brands : (
	'transparent': rgba(0,0,0,0),
	"white": $white,    
	'black': $black,
	'red':  $red,
	'orange': $orange,
	'yellow': $yellow,
	'green':  $green,
	'blue':   $blue, 
	'teal':   $teal,
	'pink':   $pink, 
	'purple': $purple,
	'gray-dark': $gray-dark,                
	'gray':  $gray,                    
	'gray-light':  $gray-light,              
	'gray-lighter': $gray-lighter,             
	'gray-lightest': $gray-lightest,             
	'gray-medium': $gray-medium,
	'inherit':inherit
	);



@each $label, $value in $brands{
	.bg-#{$label}{
		background-color: $value;
	}
	.color-#{$label}{
		color: $value;
	}
	.border-color-#{$label}{
		border-color: $value !important;
	}
}

.left{
	left:0;
	right:auto;
}

.bg-contain{
	background-size: contain;
	background-position: 50% 50%;
}

.bg-cover{
	background-size: cover;
	background-position: 50% 50%;
}

.vcenter{
	top:50%;
	transform:translateY(-50%);
}

.pos-absolute.center{
	left: 50%;
	transform: translateX(-50%);
	&.vcenter{
		transform: translate(-50%, -50%);
	}

	.rtl & {
		transform: translateX(50%);
		&.vcenter{

		transform: translate(50%, -50%);
		}

	}
}

.pos-initial{
	position: initial !important;
}
.pos-relative{
	position: relative !important;
}

.direct{
	left: 0;
	right:auto;

}

.opposite{
	left: auto;
	right: 0;
}

.top{
	top:0;
	bottom: auto;
}
.bottom{
	bottom: 0;
	top: auto;
	&.top{
		top: 0;
	}
}

.lh-100{
	line-height: 1;
}
.lh-115{
	line-height: 1.15;
}
.lh-125{
	line-height: 1.25;
}
.lh-135{
	line-height: 1.33;
}
.lh-150{
	line-height: 1.5;
}
.lh-200{
	line-height: 2;
}


@for $i from 1 through 10 {
	.fs-#{$i}{
		font-size: (0.625 + $i/8)+rem;
	}
}

@for $i from 1 through 8 {
	$w : $i * 100;
	.fw-#{$w}{
		font-weight: $w;
	}
}

.as-center{
	align-self: center;
}
.as-start{
	align-self: start;
}
.as-end{
	align-self: end;
}

.w-auto{
	width: auto;
}

.h-auto{
	height:auto;
}


[class*="squared-"]{
	display: inline-block;
	overflow: hidden;

}

.border-1{
	&:not([class*="border-style"]){
		@extend .border-style-solid;
	}
	border: 1px;
}
.border-2{
	border: 2px;
	&:not(.border-style){
		@extend .border-style-solid;
	}
}

.border-style-solid{
	border-style: solid;
}

.border-style-dotted{
	border-style: dotted;
}
.border-style-dashed{
	border-style: dashed;
}

.border-3{
	border: .3rem solid;
}

.border-4{
	border: .6rem solid;
}

@for $i from -5 through 5 {
	@if ($i <= 0){
		$w : 300 + $i * 50;
		$s : 3rem + $i * .5rem;
		.squared-#{$w}{
			height: $s;
			width: $s;
			line-height: $s;
		}
	}
	@if ($i >0){
		$w : 300 + $i * 100;
		$s : 3rem + $i * 1rem;
		.squared-#{$w}{
			height: $s;
			width: $s;
			line-height: $s;
		}
	}		
	
}




.square{
	position: relative;
	overflow: hidden;
	&:after{
		content:"";
		display: block;
		padding-bottom: 100%;
	}
}

.pos-absolute{
	position: absolute;
	z-index: 1;

}

.uppercase{
	text-transform: uppercase;
}


.z-index--1{
	z-index: -1 !important;
}


.opacity-75{
	opacity: .8;
}

.ff-serif{
	font-family: $font-family-serif;
}

.ff-sans-serif{
	font-family: $font-family-sans-serif;
}

.order-md-2{
	order: 2;
}